v0.9.1-rc2  -  28-Feb-2007
----------------------------------------------------------------------------

2007-02-23 14:12  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/TODO: add
	  improvements mentioned in ML and not yet in this list

2007-02-23 03:04  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/CImg.h,
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.h,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.h,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp:
	  correct spelling errors according to
	  http://www.englishbreakfastnetwork.org/krazy/reports/extragear/graphics/digikamimageplugins/index.html

2007-02-22 09:44  ach

	* trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp:
	  digikamimageplugins: compile with gcc 3.3 return(QString()); ->
	  return QString(); Thx, Dieter.
	  
	  CCMAIL: dieter.jurzitza@t-online.de

v0.9.1-rc1  -  19-Feb-2007
----------------------------------------------------------------------------

2007-02-16 15:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	  fix email

2007-02-16 15:30  cgilles
	*.cpp *.h
	  fix email

2007-02-13 06:27  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
	  trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	  0.9.1-beta2

2007-02-11 20:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  compile DigikamImagePlugins alone

2007-02-11 20:09  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
	  quote missing

2007-02-11 19:34  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
	  0.9.1-beta1 release w/o scripties

v0.9.1-beta1  -  11-Feb-2007
----------------------------------------------------------------------------

2007-02-11 18:33  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
	  0.9.1-beta1 release

2007-01-30 12:15  cgilles

	* trunk/extragear/graphics/digikamimageplugins/README: update

2007-01-21 08:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/README: update

2007-01-21 08:12  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp:
	  digikam from trunk: patch from Frank Siegert to fix typo on
	  DigikamImagePlugins.
	  
	  Franck : your patch is very appreciate ! Thanks for your help...
	  
	  BUG : 130237

2007-01-20 15:50  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.h:
	  fix Restore/save settings methods

2007-01-20 15:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.h:
	  polish

2007-01-20 15:20  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.h:
	  fix restore/save settings methods

2007-01-20 15:12  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.h:
	  polish

2007-01-20 15:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.h:
	  polish

2007-01-20 15:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixel.h:
	  polish

2007-01-20 15:01  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.h:
	  fix coding style

2007-01-20 14:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.h:
	  fix coding style

2007-01-20 14:42  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.h:
	  fix coding style

2007-01-20 14:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.h:
	  digikam from trunk : fix Restore/save settings methods

2007-01-20 14:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.h,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h:
	  polish

2007-01-20 14:03  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.h:
	  fix layout

2007-01-19 14:57  cgilles

	* trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.h,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.h:
	  digiKam from trunk : Distorsion FX Tool : remember the settings
	  between plugin sessions.

2007-01-19 13:55  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.h:
	  digiKam from trunk : Blur FX Tool : remember the settings between
	  plugin sessions.

2007-01-19 13:05  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h:
	  digiKam from trunk : Border Tool : add new option to handle
	  perserve aspect ratio or not. The border with will be set in
	  percents or in pixels accordinly with this setting.
	  
	  CCMAIL: digikam-devel@kde.org
	  
	  BUG: 135141
	  BUG: 137696

2007-01-19 11:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.h:
	  digiKam from trunk : Border Tool : fix settings saved and
	  restored methods

2007-01-18 19:51  cgilles

	* trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.h,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.cpp,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.h:
	  digikam from trunk : Rain Drops Tool : remember the settings
	  between plugin sessions.

2007-01-18 19:37  cgilles

	* trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.h,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.cpp,
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.h:
	  digikam from trunk: Infrared Tool : remember the settings between
	  plugin sessions

2007-01-18 19:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp:
	  polish

2007-01-18 19:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.h,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.h:
	  digikam from trunk : Film Grain Tool : remember the settings
	  between plugin sessions.

2007-01-18 19:14  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update

2007-01-18 19:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp:
	  fix center of perspective

2007-01-18 19:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h:
	  digikam from trunk : Perspective Tool : add Horizontal/Vertical
	  guide lines like with Free Rotation tool
	  
	  CCMAIL: digikam-devel@kde.org
	  
	  CCBUGS: 137545, 131170

2007-01-18 16:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.h,
	  trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.h:
	  digikam from trunk : Texture Tool : remember settings between
	  plugin sessions

2007-01-18 16:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.h,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.h:
	  digikam from trunk: Oil Paint Tool : remember settings between
	  plugin sessions

2007-01-18 16:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.h,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.h:
	  digikam from trunk : Emboss Tool : remember settings between
	  plugin sessions.

2007-01-18 15:55  cgilles

	* trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.h,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.cpp,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.h:
	  digiKam from trunk : Charcoal Tool : remember settings between
	  plugin sessions.

2007-01-18 15:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h:
	  fix header

2007-01-18 14:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h:
	  digikam from trunk : Perspective tool :
	  
	  - Add new option to draw a guide grid (15x15).
	  - Fix Restore/Save settings between plugin sessions.
	  
	  CCMAIL: digikam-devel@kde.org
	  BUG: 131170
	  BUG: 137545

2007-01-18 12:14  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/matrix.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/matrix.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.h:
	  digiKam from trunk : if "Draw Preview While Moving" option is
	  enable, always redraw the perspective center point at the right
	  place.

2007-01-18 11:28  cgilles

	* trunk/extragear/graphics/digikamimageplugins/README: typo

2007-01-18 11:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h:
	  fix restore settings

2007-01-18 11:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageplugin_solarize.cpp,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageplugin_solarize.h:
	  digikam from trunk: Solarize tool : fix Restore/Save settings
	  between plugin sessions

2007-01-17 20:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.h,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.cpp,
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.h:
	  digikam from trunk : Shear Tool : fix Restore/save settings
	  between plugin session
	  CCMAIL: digikam-devel@kde.org

2007-01-17 17:59  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.cpp,
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.h:
	  digiKam from trunk : fix Save/restore settings of Free-Rotation
	  tool between plugin sessions

2007-01-17 15:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h:
	  fix method to slot

2007-01-17 14:57  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h:
	  fix method to slot

2007-01-17 14:56  cgilles

	* trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.h:
	  digiKam from trunk : Lens Distorsion Tool : fix settings saved
	  and restored methods

2007-01-17 13:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.h:
	  digiKam from trunk : Noise Reduction Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 13:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.h:
	  digiKam from trunk : Refocus Tool : remember the settings between
	  plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 12:42  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.h:
	  digiKam from trunk : Unsharp Mask Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 10:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h:
	  digiKam from trunk : Anti-Vignetting Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 10:20  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h:
	  digiKam from trunk : Anti-Vignetting Tool : Gamma settings will
	  use the same values excursion than BCG tool
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 09:34  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h:
	  digiKam from trunk : Channel Mixer Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 09:15  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  polish

2007-01-17 08:59  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  digiKam from trunk : Levels Adjust Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-17 08:05  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  compile

2007-01-17 07:56  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  digiKam from trunk : Curves Adjust Tool : remember the settings
	  between plugin sessions
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-16 15:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  forget to restore histogram settings

2007-01-16 14:40  cgilles

	* trunk/extragear/graphics/digikam/data/pics/Makefile.am,
	  trunk/extragear/graphics/digikam/data/pics/autolevels.png,
	  trunk/extragear/graphics/digikam/data/pics/equalize.png,
	  trunk/extragear/graphics/digikam/data/pics/normalize.png,
	  trunk/extragear/graphics/digikam/data/pics/stretchcontrast.png,
	  trunk/extragear/graphics/digikam/imageplugins/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.h,
	  trunk/extragear/graphics/digikam/libs/whitebalance/whitebalance.cpp,
	  trunk/extragear/graphics/digikam/libs/whitebalance/whitebalance.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digiKam from trunk : Color Auto-Correction tool : add new filter
	  to perform auto-exposure correction
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-16 13:56  cgilles

	* trunk/extragear/graphics/digikam/libs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dimg/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/whitebalance,
	  trunk/extragear/graphics/digikam/libs/whitebalance/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/whitebalance/blackbody.h,
	  trunk/extragear/graphics/digikam/libs/whitebalance/whitebalance.cpp,
	  trunk/extragear/graphics/digikam/libs/whitebalance/whitebalance.h,
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/blackbody.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/whitebalance.h:
	  digiKam from trunk : White Balance stuff :
	  
	  * Move White Balance filter algorithm from DigiKamImagePlugins to
	  digiKam core.
	  * Export a new class Digikam::WhiteBalance.
	  * Fix White Balance Image Plugin to use the new class from
	  digiKam core.
	  * White Balance Image plugin will remember the settings between
	  plugin session.
	  
	  Nota : advantages to include white balance algoritm into digiKam
	  core :
	  
	  - We will create a new Auto-Exposure filter in Auto-Color
	  Correction tool.
	  - We will use later the white balance algoritm to fix RAW files
	  color temperature when we import pictures to editor !
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-16 12:52  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/whitebalance.h:
	  digiKam from trunk : White Balance image plugin :
	  
	  * Prepare source code to give an image auto-exposure filter.
	  * Separate algorithm from gui.
	  * Code polishing and optimizations.
	  
	  CCMAIL: digikam-devel@kde.org

2007-01-16 11:29  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  polish

2007-01-16 11:25  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  polish

2007-01-15 15:26  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/blackbody.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.h:
	  digiKam from trunk : White Balance tool : remove old
	  over-exposure indicator

2007-01-15 15:14  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.h:
	  digiKam from trunk : Channels Mixer tool : remove old
	  over-exposure indicator

2007-01-15 15:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.h:
	  digiKam from trunk : Adjust Levels tool : remove old
	  over-exposure indicator

2007-01-15 15:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.h:
	  digiKam from trunk : Adjust Curves tool : remove old
	  over-exposure indicator

2007-01-10 15:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  fix i18n

2007-01-10 15:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  digikam from trunk : White Balance image editor tool :
	  
	  - Fix Gamma excursion values to be homogenous with BCG image
	  editor tool.
	  - Annotate than Exposure settings is in E.V
	  - Annotate than Temperature settings is in °K
	  
	  CCBUGS: 128135

2007-01-10 15:31  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  digikam from trunk : Adjust Levels image editor tool : Fix Gamma
	  excursion values to be homogenous with BCG image editor tool.
	  CCBUGS: 128135

2007-01-03 13:12  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp:
	  digikam from trunk : remove default Image editor Border Tool
	  shortcut witch is in conflict with Refocus tool

2007-01-03 12:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp:
	  digikam from trunk : fix Image editor AddBorder Tool default
	  shortcut from CTRL+B to CTRL+F (like Frame). Note "CTRL+B" will
	  be use to "Color Balance" Tool like with Photoshop.
	  
	  CCBUGS: 131743

2007-01-03 12:15  cgilles

	* trunk/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.cpp:
	  digikam from trunk : Image editor LensDistorsion Tool shortcut :
	  "SHIFT+D" and "CTRL+D" cannot be used here to prevent conflict
	  with new rule from Comments Text edit widget focus from right
	  side bar. I remove the default keyboard shorcut for this tool.
	  
	  CCBUGS: 131743

2007-01-03 12:12  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageplugin_inpainting.cpp:
	  digikam from trunk : Image editor Inpainting Tool shortcut : use
	  "CTRL+E" instead "SHIFT+I" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 12:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.cpp:
	  digikam from trunk : Image editor Refocus Tool shortcut : use
	  "CTRL+F" instead "SHIFT+F" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 11:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp:
	  digikam from trunk : Image editor AddBorder Tool shortcut : use
	  "CTRL+B" instead "SHIFT+B" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 11:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.cpp:
	  digikam from trunk : Image editor InsertText Tool shortcut : use
	  "CTRL+T" instead "SHIFT+T" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 10:42  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp:
	  fix header

2007-01-03 10:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp:
	  digikam from trunk : Image editor Channel Mixer Tool shortcut :
	  use "CTRL+H" instead "SHIFT+M" to prevent conflict with new rule
	  from Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 10:34  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  digikam from trunk : Image editor White Balance Tool shortcut :
	  use "CTRL+W" instead "SHIFT+W" to prevent conflict with new rule
	  from Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-03 10:28  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc:
	  digikam from trunk : Image editor AntiVignetting Tool shortcut :
	  "SHIFT+V" and "CTRL+V" cannot be use here to prevent conflict
	  with new rule from Comments Text edit widget focus from right
	  side bar. I remove the default keyboard shorcut for this tool.
	  
	  CCBUGS: 131743

2007-01-03 10:17  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp:
	  digikam from trunk : Image editor Level Tool shortcut : use
	  "CTRL+L" instead "SHIFT+L" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar and to be
	  homogenous with Photoshop shortcuts.
	  
	  CCBUGS: 131743

2007-01-03 10:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp:
	  digikam from trunk : Image editor Curve Tool shortcut : use
	  "CTRL+M" instead "CTRL+U" to be homgenous with Photoshop
	  shortcuts.
	  
	  CCBUGS: 131743

2007-01-03 10:10  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp:
	  digikam from trunk : Image editor Curve Tool shortcut : use
	  "CTRL+U" instead "SHIFT+C" to prevent conflict with new rule from
	  Comments Text edit widget focus from right side bar.
	  
	  CCBUGS: 131743

2007-01-01 17:25  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp:
	  spelling correction artifacts

2006-12-21 12:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/bannerwidget.cpp:
	  digikam from trunk : fix logo icon

2006-12-18 19:25  cgilles

	* trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	  update

2006-12-18 19:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
	  update

2006-12-17 13:55  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog: 0.9.0
	  release

2006-12-17 13:49  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
	  trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
	  0.9.0 release

v0.9.0  -  17-Dec-2006
----------------------------------------------------------------------------

2006-12-15 10:27  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.h:
	  digikam from trunk : better support of --enable-final compilation
	  option

2006-12-05 15:31  mwiesweg

	* trunk/extragear/graphics/digikam/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/ChangeLog: Correct
	  RC1 release date

2006-12-05 15:29  mwiesweg

	* trunk/extragear/graphics/digikam/ChangeLog,
	  trunk/extragear/graphics/digikam/release_digikam_cl.sh,
	  trunk/extragear/graphics/digikamimageplugins/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_cl.sh:
	  Preparing RC2

v0.9.0-rc2 - 05-Dec-2006
----------------------------------------------------------------------------

2006-12-05 15:22 +0000 [r610786]  mwiesweg

        * digikam/release_digikam.rb,
          digikamimageplugins/digikamimageplugins.lsm, digikam/version.h,
          digikamimageplugins/common/include/version.h,
          digikam/digikam.lsm,
          digikamimageplugins/release_digikamimageplugins.rb: Preparing RC2

2006-12-01 14:42 +0000 [r609655]  cgilles

        * digikamimageplugins/superimpose/Makefile.am: digikam from trunk :
          compile with -nofinal option from .configure script

2006-12-01 14:37 +0000 [r609654]  cgilles

        * digikamimageplugins/adjustcurves/Makefile.am: digikam from trunk
          : compile with -nofinal option from .configure script

2006-11-21 23:03 +0000 [r606831]  ach

        * digikamimageplugins/release_digikamimageplugins.rb:
          digikamimageplugins: create RELEASE.rev in release script

2006-11-19 08:59 +0000 [r606086]  cgilles

        * digikamimageplugins/README: update

2006-11-16 00:48 +0000 [r605242]  ach

        * digikamimageplugins/release_digikamimageplugins_cl.sh (added),
          digikamimageplugins/ChangeLog: digikamimageplugins trunk: copy
          changelog script from digikam and update ChangeLog file

v0.9.0-rc1 - 15-Nov-2006
----------------------------------------------------------------------------

2006-11-16 00:28 +0000 [r605240]  ach

	* digikam/release_digikam.rb,
	  digikamimageplugins/release_digikamimageplugins_docs.rb,
	  digikam/release_digikam_docs.rb,
	  digikamimageplugins/release_digikamimageplugins.rb:
	  digikam(imageplugins) trunk: fix svnbase in release scripts

2006-11-15 23:06 +0000 [r605230]  ach

	* digikam/release_digikam.rb,
	  digikamimageplugins/digikamimageplugins.lsm,
	  digikamimageplugins/release_digikamimageplugins_docs.rb,
	  digikam/version.h, digikamimageplugins/common/include/version.h,
	  digikam/digikam.lsm, digikam/release_digikam_docs.rb,
	  digikamimageplugins/release_digikamimageplugins.rb:
	  digikam(&imageplugins): * prepare for 0.9.0-rc1 release *
	  release*_doc set version to rc? docs not yet ready for a release

2006-11-10 13:31 +0000 [r603848]  cgilles

	* digikamimageplugins/AUTHORS: update--Cette ligne, et les
	  suivantes ci-dessous, seront ignorees-- M AUTHORS

2006-11-08 14:38 +0000 [r603309]  cgilles

	* digikamimageplugins/inpainting/imageplugin_inpainting.cpp,
	  digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  digikamimageplugins/noisereduction/noisereduction.cpp,
	  digikamimageplugins/antivignetting/antivignetting.cpp,
	  digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  digikamimageplugins/superimpose/dirselectwidget.cpp,
	  digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  digikamimageplugins/texture/texture.cpp,
	  digikamimageplugins/inserttext/fontchooserwidget.cpp,
	  digikamimageplugins/refocus/matrix.cpp,
	  digikamimageplugins/texture/imageplugin_texture.cpp,
	  digikamimageplugins/sheartool/imageplugin_sheartool.cpp,
	  digikamimageplugins/freerotation/imageplugin_freerotation.cpp,
	  digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  digikamimageplugins/superimpose/superimpose.cpp,
	  digikamimageplugins/charcoal/charcoal.cpp,
	  digikamimageplugins/superimpose/superimposewidget.cpp,
	  digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  digikamimageplugins/raindrop/raindrop.cpp,
	  digikamimageplugins/blowup/imageeffect_blowup.cpp,
	  digikamimageplugins/unsharp/unsharp.cpp,
	  digikamimageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  digikamimageplugins/emboss/imageplugin_emboss.cpp,
	  digikamimageplugins/inserttext/imageplugin_inserttext.cpp,
	  digikamimageplugins/restoration/imageplugin_restoration.cpp,
	  digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  digikamimageplugins/superimpose/imageplugin_superimpose.cpp,
	  digikamimageplugins/border/imageplugin_border.cpp,
	  digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  digikamimageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  digikamimageplugins/texture/imageeffect_texture.cpp,
	  digikamimageplugins/unsharp/imageplugin_unsharp.cpp,
	  digikamimageplugins/blurfx/imageplugin_blurfx.cpp,
	  digikamimageplugins/perspective/perspectivewidget.cpp,
	  digikamimageplugins/inserttext/inserttextwidget.cpp,
	  digikamimageplugins/distortionfx/distortionfx.cpp,
	  digikamimageplugins/channelmixer/channelmixer.cpp,
	  digikamimageplugins/border/border.cpp,
	  digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  digikamimageplugins/sheartool/sheartool.cpp,
	  digikamimageplugins/restoration/imageeffect_restoration.cpp,
	  digikamimageplugins/blowup/imageplugin_blowup.cpp,
	  digikamimageplugins/perspective/imageplugin_perspective.cpp,
	  digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  digikamimageplugins/blurfx/blurfx.cpp,
	  digikamimageplugins/common/cimgiface/cimgiface.cpp,
	  digikamimageplugins/charcoal/imageplugin_charcoal.cpp,
	  digikamimageplugins/refocus/refocus.cpp,
	  digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  digikamimageplugins/raindrop/imageplugin_raindrop.cpp,
	  digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  digikamimageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp,
	  digikamimageplugins/refocus/imageplugin_refocus.cpp,
	  digikamimageplugins/lensdistortion/lensdistortion.cpp,
	  digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  digikamimageplugins/solarize/imageplugin_solarize.cpp,
	  digikamimageplugins/freerotation/freerotation.cpp,
	  digikamimageplugins/antivignetting/imageplugin_antivignetting.cpp,
	  digikamimageplugins/infrared/imageplugin_infrared.cpp,
	  digikamimageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  digikamimageplugins/distortionfx/imageplugin_distortionfx.cpp,
	  digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  digikamimageplugins/oilpaint/imageplugin_oilpaint.cpp: digikam
	  from trunk : DigikamImagePlugins use DDebug() & DWarning() &
	  DError() class instead kdDebug() & kdWarning() & kdError(). See
	  B.K.O file 133026 for details. CCBUGS: 133026 CCMAIL:
	  digikam-devel@kde.org

2006-11-08 14:09 +0000 [r603297]  cgilles

	* digikamimageplugins/common/include/digikamheaders.h:
	  DigikamImagePlugins from trunk : add ddebug.h

2006-10-23 05:34 +0000 [r598272]  cgilles

	* digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp: Fix i18n
	  : "sensibility" ==> "sensitivity" BUG: 136162

2006-10-19 15:56 +0000 [r597206]  fjcruz

	* digikamimageplugins/release_digikamimageplugins.rb: An error that
	  avoid to get *.po files for hotpixels and refocus plugins, has
	  been corrected.

2006-10-16 20:07 +0000 [r596159]  fjcruz

	* digikamimageplugins/release_digikamimageplugins.rb: Updated for
	  Beta 3 release

2006-10-15 21:18 +0000 [r595841]  fjcruz

	* digikamimageplugins/ChangeLog: Updated for Beta 3 release



v0.9.0-beta3 - 15-Oct.-2006
----------------------------------------------------------------------------

2006-10-04 20:36  cgilles

    * trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
      beta3

2006-10-04 20:35  cgilles

    * trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
      beta3

2006-09-24 12:58  mwiesweg

    * trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.h,
      
      trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.h,
      
      trunk/extragear/graphics/digikamimageplugins/antivignetting/imageplugin_antivignetting.h,
      
      trunk/extragear/graphics/digikamimageplugins/blowup/imageplugin_blowup.h,
      
      trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.h,
      
      trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.h,
      
      trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.h,
      
      trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.h,
      
      trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.h,
      
      trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.h,
      
      trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.h,
      
      trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.h,
      
      trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.h,
      
      trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.h,
      
      trunk/extragear/graphics/digikamimageplugins/inpainting/imageplugin_inpainting.h,
      
      trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.h,
      
      trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.h,
      
      trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.h,
      
      trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.h,
      
      trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.h,
      
      trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.h,
      
      trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.h,
      
      trunk/extragear/graphics/digikamimageplugins/restoration/imageplugin_restoration.h,
      
      trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.h,
      
      trunk/extragear/graphics/digikamimageplugins/solarize/imageplugin_solarize.h,
      
      trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.h,
      
      trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.h,
      
      trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.h,
      
      trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.h:
      Fix loading with hidden visibility:
      DIGIKAMIMAGEPLUGINS_EXPORT must be added to the
      Digikam::ImagePlugin derived class
      to be able to load plugin
      
      CCMAIL: digikam-devel@kde.org

2006-09-12 13:05  binner

    * trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp:
      fix integer operation result out of range

2006-09-11 20:19  fjcruz

    * trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb,
      
      trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
      Update for 0.9.0-beta2 release

2006-09-03 17:04  cgilles

    * trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
      
      trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
      fix KIconLoader using

2006-08-30 05:30  cgilles

    * trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
      update digiKam 0.9.0-beta1 to beta2

2006-08-30 05:29  cgilles

    * trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm,
      
      trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
      update digiKam 0.9.0-beta1 to beta2

2006-08-30 05:29  cgilles

    * trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
      update digiKam 0.9.0-beta1 to beta2

2006-08-21 16:46  toma

    * trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
      SVN_SILENT: We need COPYING-DOCS, so check it out, copy it to
      the root folder and remove the rest.

2006-08-21 16:11  toma

    * trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
      Adjust release script for COPYING-DOCS

2006-08-21 16:01  jriddell

    * trunk/extragear/graphics/digikamimageplugins/COPYING-DOCS: Add
      FDL licence for documentation

2006-08-19 13:31  cgilles

    * trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
      trunk/extragear/graphics/digikamimageplugins/border/border.h:
      digikam from trunk : "Add Border" image editor tool now respect
      aspect ratio of original image to render the decorative border.
      There is no new option in tool settings.
      BUG: 122693

2006-08-18 09:09  cgilles

    * trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
      trunk/extragear/graphics/digikamimageplugins/border/border.h,
      trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
      
      trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h,
      
      trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp,
      
      trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.h:
      digikam from trunk: now, "Add Border" image editor tool use
      percent ratio of image to compute border
      size to add around the image. A new default keyboard shortcut
      have been add to this tool: Shift+B
      
      CCMAIL: digikam-devel@kde.org
      BUG: 118535
      CCBUGS:122693
      

2006-07-25 14:06  cgilles

    * trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop_ui.rc,
      
      trunk/extragear/graphics/digikamimageplugins/solarize/digikamimageplugin_solarize_ui.rc:
      digikam from trunk: use same menu mnemonic for Filter as Krita
      and Photoshop
      BUG: 124060

2006-07-19 21:00  uga

    * trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp:
      Avoid exceeding color value limits (especially negative values,
      which cause fully saturated colors)

2006-07-19 20:55  mwiesweg

    * trunk/extragear/graphics/digikamimageplugins/ChangeLog: Update
      Changelog

v0.9.0-beta1 - 20/07/06
----------------------------------------------------------------------------

2006-07-19 08:00  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  duplicate header

2006-07-19 07:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp:
	  duplicate header

2006-07-19 07:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp:
	  duplicate header

2006-07-19 07:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp:
	  duplicate header

2006-07-19 07:07  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp:
	  duplicate header

2006-07-19 07:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp:
	  duplicate header

2006-07-19 07:05  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp:
	  duplicate header

2006-07-19 07:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp:
	  duplicate header

2006-07-19 07:03  cgilles

	* trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp:
	  duplicate header

2006-07-19 07:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp:
	  duplicate header

2006-07-19 07:00  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/matrix.cpp:
	  polish

2006-07-19 06:55  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  set radius default value to 1.0.
	  Peter, 5.0 is too high with some photos, especially in 16 bits
	  color depth (RAW file). This have been reported by many digiKam
	  users by IRC.
	  I toogle it to 1.0 by default.
	  
	  CCMAIL: peter.heckert@arcor.de

2006-07-19 06:31  cgilles

	* trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp:
	  polish

2006-07-19 06:23  cgilles

	* trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.cpp:
	  duplicate header

2006-07-19 06:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp:
	  duplicate header

2006-07-19 06:18  cgilles

	* trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp:
	  no need this header here

2006-07-19 06:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  polish

2006-07-19 05:50  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
	  0.9.0-beta1 update

2006-07-19 05:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	  0.9.0-beta1 updtae

2006-07-19 05:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/README: fix digiKAm
	  version depency

2006-07-17 21:21  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb,
	  
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
	  - Preparing beta1
	  - Update Changelog
	  - Merge release* scripts from stable
	  - Merge Changelog from stable

2006-07-17 09:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  compile

2006-07-10 11:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from trunk : BUGFIX : All color correction image
	  plugins from DigikamImagePlugins will remember the 'separate
	  view' mode at next instance.
	  
	  CCMAIL: digikam-devel@kde.org

2006-07-03 18:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  digikam from trunk : checking imageplugin.h header file is not
	  enough for DigikamImagePlugins now. We check if dimg.h is
	  available for digiKam 0.9.0...

2006-06-29 19:56  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  digikam from trunk : GIF -> TIF

2006-06-29 11:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  fix spacer position

2006-06-29 11:03  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp:
	  fix spacer position

2006-06-29 10:59  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  fix spacer position

2006-06-29 10:52  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  fix spacer position

2006-06-29 07:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog: update
	  changelog file

2006-06-28 17:02  ach

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_iccproof.cpp,
	  
	  trunk/extragear/graphics/digikam/kioslave/digikamalbums.protocol,
	  
	  trunk/extragear/graphics/digikam/kioslave/digikamdates.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikampreview.protocol,
	  
	  trunk/extragear/graphics/digikam/kioslave/digikamsearch.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamtags.protocol,
	  trunk/extragear/graphics/digikam/kioslave/digikamthumbnail.protocol,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels.desktop:
	  digikam trunk:
	  o some (hopefully all) s/Digikam/digiKam/. Thx prokoudine!
	  o consistent capitalisation in .protocol Description

2006-06-27 07:43  binner

	* trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.cpp:
	  don't use local variable before it's set
	  
	  correcting to apparently intended code

2006-06-03 13:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from trunk : White Balance image editor plugin : Fixed
	  Gamma correction slider values inversed.

2006-05-21 14:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.h:
	  recursive include

2006-05-16 08:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from trunk : Infrared tool
	  
	  Fix a crash if 'Add film grain' option is disable (wrong delete
	  operation into DImg instance)
	  
	  CCMAIL: marcel.wiesweg@gmx.de, gerhard@kulzer.net

2006-05-15 16:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp:
	  digikam from trunk : unsharp mask plugin : restore old settings
	  from 0.8.x serie. Note : this plugin use a new algorithm based
	  on ImageMagick implementation, not gimp !!!
	  CCBUGS: 125733

2006-04-30 08:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  fix i18n

2006-04-28 18:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  digikam from trunk : noisereduction tool : patch from Peter
	  Heckert about to fix a crash with a wrong color components of
	  image to use with one pixel
	  
	  CCMAIL: lists@hphsite.de

2006-04-28 11:53  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  fix value

2006-04-28 11:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  digikam from trunk : NoiseReduction tool : patch from Peter
	  Heckert :
	  
	  1./ Set default radius to 5.0.
	  Reason: previous default value 1.0 has almost no effect for
	  typical noise.
	  Value 5.0 is good for medium noise in almost all cases.
	  That does not mean, that always radius 5 is used, because radius
	  is
	  dynamically adapted while filtering.
	  This means that radius /can/ grow until 5.0. The amount of
	  growing
	  depends from "threshold" setting.
	  That is: /Maximum/ radius is 5.0.
	  
	  This value is good for the "baby.jpg" image that I almost use
	  for testing.
	  
	  2./ Interchanged "Sharpness" and "Lookahead".
	  
	  3./ Cleaned up some "Whats this?" hints for briefness and
	  clarity. ==> To update handbook too !!!
	  
	  CCMAIL: digikam-devel@kde.org, lists@hphsite.de

2006-04-28 11:23  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  digikam from trunk : NoiseReduction tool : patch from Peter
	  Heckert : fix vertical smear in images.
	  This bug causes, that horizontal edge detection buffer is used
	  as template for vertical blurring operation.
	  
	  CCMAIL: digikam-devel@kde.org, lists@hphsite.de

2006-04-25 07:09  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from trunk : fix setCursor(KCursor::arrowCursor() ) to
	  unsetCursor()

2006-04-20 19:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: digikam from
	  trunk : DigikamImagePlugins TODO update

2006-04-19 09:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog: digikam
	  from trunk : first update of ChangeLog file to prepare
	  0.9.0-beta1. This is not the final beta1 update. The
	  informations from ChangeLog have been used to update NEWS file,
	  especially B.K.O files closed/fixed.

2006-04-18 09:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp:
	  digikam from trunk : fix possible broken compilation using gcc
	  4.1 (class namespace wrapper)

2006-04-15 07:31  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  digikam from trunk : fix default radius in Noise Reduction to
	  give better result at plugin startup

2006-04-14 16:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp:
	  optimize layout

2006-04-14 16:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp:
	  compile

2006-04-13 20:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.h:
	  polish

2006-04-04 16:05  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.h:
	  Superimpose:
	  - fix zooming
	  (now using a float zoom factor, much easier to write for me)
	  - fix setting the cursor
	  - allow dragging outside window while moving (cut cursor
	  position)
	  - remove stale parameter from SuperImpose

2006-04-04 14:43  amantia

	* trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.h:
	  Unbreak compilation.

2006-03-31 14:49  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp:
	  Insert Text:
	  QMIN was supposed to be QMAX, and then fix spacing and border
	  drawing again

2006-03-31 11:22  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h:
	  Inserttext:
	  - fix position storing for rotated text
	  - add spacing so that text does not touch border

2006-03-30 15:06  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h:
	  digikam from trunk:
	  Remember position of text in "Insert Text" plugin
	  
	  The code tries to be a bit "smart" for images of different size,
	  it stores relative values and aligns the text rectangle along
	  the edges it is closer to. So something like "in the bottom
	  left corner" should be remembered across images.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-30 12:09  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/doc/digikamimageplugins/despeckle.docbook:
	  digikam from trunk : Noise Reduction tool : moving "Threshold"
	  setting to the first tab...
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-29 10:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp:
	  digikam from trunk : Free Rotation, Shear, and Perspective
	  tools : fix dialog settings area layout.

2006-03-28 21:52  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h:
	  Perspective plugin:
	  
	  - add "draw preview while moving" (text may be improved)
	  checkbox,
	  implement this in perspective widget.
	  - continue mouse adjustment even if cursor is
	  outside preview rect, but clip coordinates
	  of course. This is the expected behavior when dragging IMO.
	  - remove unused members

2006-03-27 11:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  fix i18n

2006-03-27 10:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp:
	  digikam from trunk : InsertText dialog : restore banner and
	  remove 'Try' button

2006-03-27 10:10  cgilles

	* trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h:
	  digikam from trunk : Bug fix : Insert text plugin need to use
	  new API to manage preview image data.

2006-03-27 10:09  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp:
	  digikam from trunk : Bug fix : Hot pixel fixer plugin need to
	  use new API to update final image.

2006-03-27 10:07  cgilles

	* trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp:
	  digikam from trunk : Bug fix : Texture plugin need to use new
	  API to update final image.

2006-03-27 09:35  cgilles

	* trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp:
	  digikam from trunk : Bug fix : Filmgrain and Infrared plugin
	  need to use new API to update final image.

2006-03-26 21:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp:
	  Digikam from trunk : Perspective tool :
	  
	  - restore banner
	  - remove 'try' button.
	  - Fix layout in settings area

2006-03-26 20:57  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/perspective/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/matrix.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/matrix.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h:
	  digikam from trunk:
	  Port "Perspective adjustment" plugin to DImg.
	  Now all plugins are ported :-)
	  
	  But there are some TODOs:
	  - Fix layout: if "new width" has 4 digits or more,
	  "px" is below the "Settings" side bar tab
	  - shouldn't there be some way to adjust the perspective with
	  spin boxes, and not only with the mouse? Don't know.
	  - The antialias issue is not solved. I have not yet understood
	  the DImgImageFilters::pixelAntiAliasing method, and I did not
	  find the reason why the filter does not show any effect.

2006-03-26 18:35  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h:
	  Digikam from trunk : Noise Reductiojn tool : fix credits to
	  Peter Hecker like developper

2006-03-26 18:28  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  Digikam from trunk : patch from dcamnoise2 author (Peter
	  Heckert) to improve noise reduction tool !!! Thanks to him...
	  
	  Welcome in digiKam team Peter !
	  
	  CCMAIL: digikam-devel@kde.org, peter.heckert@arcor.de

2006-03-24 18:34  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h:
	  digikam from trunk:
	  Port "Insert text" plugin to DImg
	  
	  This one was a bit difficult, because we have no pixel access to
	  font rendering in Qt3.
	  So we must still use a QPixmap to draw the (antialiased) text,
	  which means we will
	  lose color resolution in the area where the text is drawn for 16
	  bit images.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-24 09:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  digikam from trunk : Noise Reduction bugfix : Threshold value
	  to 0.0 is prohibited.

2006-03-23 06:50  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  digikam from trunk : Noise Reduction tool dialog : fix settings
	  area layout

2006-03-21 21:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp:
	  Digikam 0.9.0 from trunk : SuperImpose tool : fix preview area
	  layout.

2006-03-21 20:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp:
	  Digikam 0.9.0 from trunk : SuperImpose tool :
	  - fix dialog contructor
	  - fix credits.
	  - fix user settings area layout.

2006-03-21 19:18  cgilles

	* trunk/extragear/graphics/digikamimageplugins/Makefile.am:
	  superimpose plugin is back
	  CCMAIL: marcel.wiesweg@gmx.de

2006-03-21 17:48  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimpose.h:
	  Oops: Add missing files

2006-03-21 17:29  cgilles

	* trunk/extragear/graphics/digikamimageplugins/Makefile.am:
	  digikam from trunk : disable temporally SimperImpose plugin
	  compilation. Files are missing on svn.
	  
	  CCMAIL: marcel.wiesweg@gmx.de

2006-03-21 15:18  cgilles

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/curves/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.cpp,
	  trunk/extragear/graphics/digikam/libs/filters,
	  trunk/extragear/graphics/digikam/libs/levels/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp:
	  digikam from trunk : removing obsolete source codes to prepare
	  beta1. digikam/libs/filters is now moved to DImg API to support
	  16 bits color depth.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-21 06:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/cimgiface/Makefile.am:
	  fix warnings

2006-03-21 06:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: Update

2006-03-20 22:14  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/superimpose/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.h:
	  digikam from trunk:
	  Port "Superimpose" plugin to DImg
	  
	  - use our own DImg blending support,
	  do not rely on X11 (XRender) pixmaps for alpha blending
	  - use DImg::bitBlendImage
	  - supports 16 bit
	  - is faster
	  - add an extra class to compute effect
	  - remove pixmap code from widget, adapt to new class
	  
	  TODO:
	  There are now some issues with the size calculation, when you
	  zoom out too far the template is getting cropped
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-20 06:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/Makefile.am:
	  digikam from trunk : remove obsolete DigikamImagePlugins
	  depencies to common dialogs

2006-03-20 06:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/clapack/Makefile.am:
	  no warnings please

2006-03-18 15:19  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/emboss/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.h,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.cpp:
	  digikam from trunk:
	  Port "Emboss" plugin to DImg
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-17 13:06  cgilles

	* trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp:
	  digikam from trunk : Lens distorsion plugin need to use a
	  visual guide

2006-03-17 10:08  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from trunk : set preview widget area in first, user
	  widget area in second.

2006-03-16 21:19  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h:
	  removing obsolete dialog template

2006-03-16 13:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.h:
	  fix dialog layout

2006-03-16 12:18  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  fix i18n

2006-03-16 09:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle.desktop,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.cpp:
	  NR tool fix plugin name

2006-03-16 09:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  renaming tab to "Advanced" settings

2006-03-16 09:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  digiKam from trunk : fix progress in dialog

2006-03-16 06:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update

2006-03-16 06:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h:
	  code polishing

2006-03-16 05:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: polish TODO
	  file. Marcel, please take look for the next task to do.
	  CCMAIL: marcel.wiesweg@gmx.de

2006-03-15 21:17  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  Fix compilation warnings

2006-03-15 17:33  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.cpp:
	  digikam 0.9.0 from trunk:
	  Port "Distortion FX" plugin to DImg
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-15 14:26  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h:
	  polish code

2006-03-14 20:30  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h:
	  digikam from trunk : Noise reduction tool : load/save settings
	  to/from file options
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-14 18:20  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp:
	  Digikam 0.9.0 from trunk : Noise Reduction tool : add full
	  settings descriptions. Please take a look before to use the
	  plugin.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-14 15:16  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h:
	  digikam from trunk : New powerfull Noise Reduction tool based
	  on experimental dcamnoise2 gimp plugin algorithm. You can forget
	  the old implementation based on despeckle algorithm.
	  
	  This plugin support 16 bits image. I have fixed a lot of
	  problems from the original implementation. The plugin have been
	  tested indeep into valgrind to prevent memory leak. The setting
	  limits have been adjusted to prevent crash in any case (for
	  example divide by zero).
	  
	  TODO :
	  
	  - We have the capabilty to apply a noise curve correction to the
	  image. A new curve widget need to be created for that (for the
	  future, not 0.9.0 release).
	  - Add save/load settings to a text file.
	  - Polish settings area (to group by action/type)
	  - Add settings description using QWhatsThis
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-13 22:02  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.cpp:
	  Use "slave mode" of DImgGaussianBlur in
	  - filmgrain
	  - charcoal
	  - unsharp
	  - infrared
	  
	  Fix including header via digikamheaders.h

2006-03-13 10:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  digikam from trunk : Free Rotation tool BugFix:
	  
	  - Fix new image size computation if angle is > 90° or angle is
	  < -90°.
	  - Fix 'LargestArea' autocrop method to work properlly if angle
	  is > 90° or angle is < -90°.
	  - Render an empty image if autocrop area is invalid instead a
	  black image, especially with WidestArea autocrop method.
	  
	  CCMAIL : digikam-devel@kde.org

2006-03-12 21:23  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp:
	  Fix Pieter e-mail.

2006-03-12 21:17  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.h:
	  Fix Pieter e-mail.

2006-03-12 21:15  cgilles

	* trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.cpp:
	  Fix Pieter e-mail.

2006-03-12 21:14  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  Fix Pieter e-mail.

2006-03-12 21:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/emboss/emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp:
	  Fix Pieter e-mail.

2006-03-12 21:11  cgilles

	* trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp:
	  Fix Pieter e-mail.

2006-03-12 21:09  cgilles

	* trunk/extragear/graphics/digikamimageplugins/AUTHORS: Add Marcel
	  like developer.
	  Fix Pieter e-mail.

2006-03-12 21:07  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp:
	  Digikam 0.9.0 from trunk : BlurFX tool :
	  
	  - Fix dialog settings layout.
	  - fix Pieter e-mail.

2006-03-12 17:24  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.cpp:
	  digikam 0.9.0 from trunk:
	  Port "Blur FX" plugin to DImg
	  
	  Remarks:
	  - Focus blur looks different now, it contained a subtle bug in
	  its Gaussian blur
	  code that made for horizontally-only blurring, was quite an
	  interesting effect as well,
	  but now it is using standard Gaussian blur
	  - Frost glass is much slower for sixteen bit because parts of
	  the algorithm
	  take 256 times longer, but that cannot be avoided (or is not
	  worth real effort)
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-11 16:56  uga

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/weights.h:
	  Remove signed/unsigned comparison and otherwarnings
	  Fix color component limits
	  Fix some ported code (iy vs y)

2006-03-11 15:33  uga

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.cpp:
	  Use the banner

2006-03-11 14:58  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: digikam from
	  trunk : upadted DigikamImagePlugins 16 port.
	  Hot Pixels tool is now ported to 16 bits by Unai Garro
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-11 14:48  uga

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.h:
	  Fix 16 bit image support;:

2006-03-10 15:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp:
	  digikam from trunk : add some tests to prevent crash in
	  FreeRotation tool when autocrop option is enable.
	  
	  Marcel, still a little problem with target image width and
	  height computation when angle is > than 90 and when angle is <
	  -90. It's just a simple trigonometric problem for you (:=)))...
	  Look to line 164...
	  
	  CCMAIL: marcel.wiesweg@gmx.de

2006-03-10 14:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp:
	  fix missing cancelable operations

2006-03-10 10:19  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_noisereduction.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_noisereduction.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/noisereduction.h:
	  digikam from trunk : Noise Reduction tool :
	  
	  - New algorithm based on 'Despeckle' algorithm from gimp 2.2.x
	  serie. The old one was it based on gimp 2.0.x serie. The code is
	  more easy to understand.
	  - In new algorithm, fix some memory management problems relevant
	  of pixel data access.
	  - The new algorithm support 16 bits image. Port to DImg done.
	  - With the white and black levels settings, we check the pixels
	  luminosity to polish the image and not only the red pixel value!
	  This way fix the strong arterfacts generated by the original
	  algorithm when black and white levels settings are used (trying
	  to use 'despeckle' filter from gimp 2.2.x (:=))).
	  - Radius dialog slider is no disable when adapative mode is
	  enable.
	  
	  CCMAIL : digikam-devel@kde.org

2006-03-10 06:29  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update

2006-03-09 21:53  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.h:
	  digikam 0.9.0 from trunk:
	  Port "Lens distortion" plugin to DImg
	  
	  Possible TODO:
	  Preview computation takes as long as final rendering.
	  Operate on downscaled image?
	  -or-
	  Add a "compute preview" button and update only the small
	  raster when changing the parameters?

2006-03-08 19:59  cgilles

	* trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.cpp:
	  Fix smooth settings rules

2006-03-08 19:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/charcoal/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.h:
	  Digikam 0.9.0 from trunk : Charcoal Drawing tool :
	  
	  - New algorithm inspired from KImageEffect.
	  - Port algorithm to DImg. Support of 16 bits images.
	  - Fix dialog settings widgets layout.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-08 11:54  cgilles

	* trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from trunk : Infrared film sensitivity escursion can be
	  set from 200 to 2600 :
	  
	  - 200..800 : we trying to reproduce Ilford SFX200 infrared film.
	  - Over 800 : we trying to reproduce Kodak HIE hight speed
	  infrared film.
	  
	  You can see IR film comparison at this URL :
	  
	  http://www.pauck.de/marco/photo/infrared/comparison_of_films/comparison_of_films.html
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-07 19:15  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/raindrop/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.h:
	  digikam from trunk:
	  Port "Raindrop" plugin to DImg
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-07 15:58  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/bannerwidget.cpp:
	  digikam from trunk : just polish source code (thanks to reports
	  generated from http://www.icefox.net/kde/tests)
	  
	  To developpers : please take a look into this web site. The
	  reports are very interressing...
	  
	  CCMAIL : digikam-devel@kde.org

2006-03-07 13:11  cgilles

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/imageplugins/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dialogs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/imageproperties/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/cietonguewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/cietonguewidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/colorgradientwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/common,
	  trunk/extragear/graphics/digikam/libs/widgets/common/Makefile.am,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/cietonguewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/cietonguewidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/colorgradientwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/colorgradientwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/curveswidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/curveswidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/histogramwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/histogramwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/iccpreviewwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/iccpreviewwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/common/sidebar.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/common/sidebar.h,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/iccpreviewwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/iccpreviewwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/sidebar.h,
	  trunk/extragear/graphics/digikam/showfoto/Makefile.am,
	  trunk/extragear/graphics/digikam/utilities/cameragui/Makefile.am,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  digikam from trunk : cleanup /libs/widgets : moving all common
	  widgets to lib/widgets/common

2006-03-07 12:41  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dialogs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepannelwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins,
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageguidewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageguidewidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagepaniconwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagepaniconwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagepannelwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageregionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageregionwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageselectionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imageselectionwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageplugins/imagewidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imagewidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/imagewidget.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  digikam from trunk : cleanup /libs/widgets : moving all
	  imageplugins relevant widget to lib/widgets/imageplugins

2006-03-05 17:32  cgilles

	* trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp:
	  fix dialog settings layout

2006-03-05 16:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from trunk : Infrared fix unecessary bluring effects

2006-03-04 19:32  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.h:
	  digikam from trunk:
	  Port "Infrared" plugin to DImg
	  
	  Gilles: There are three places were the data is Gaussian blurred,
	  lines 139, 210, 255 of infrared.cpp. Is this intentional?
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-04 15:26  cgilles

	* trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.h:
	  fix dialog settings layout
	  fix slider rules

2006-03-04 15:26  cgilles

	* trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp:
	  fix dialog settings layout

2006-03-04 14:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  Fix broken DigikamImagePlugins compilation if digikam isn't
	  installed before.

2006-03-03 21:37  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp:
	  digikam from trunk:
	  Port "Film Grain" plugin to DImg
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-03 12:42  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/TODO,
	  trunk/extragear/graphics/digikamimageplugins/texture/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.h:
	  digikam from trunk:
	  Port "Texture" plugin to DImg
	  
	  CCMAIL:digikam-devel@kde.org

2006-03-01 19:45  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.h:
	  Performance optimization in Oil Paint:
	  - use new methods from DColor, remove setPixelColor call,
	  calculate data position directly
	  - move allocation outside main loop to reduce number of new /
	  delete operations

2006-03-01 13:53  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update

2006-03-01 13:52  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.h:
	  Digikam 0.9.0 from trunk : Unsharp Mask tool :
	  
	  - New algorithm inspired from ImageMagick instead Gimp
	  algorithm. This one is more simple to understand... (I think
	  that Gimp source code is really a wrong inspiration...)
	  - Port algorithm to DImg. Support of 16 bits images.
	  - Fix dialog settings widgets layout.
	  
	  CCMAIL: digikam-devel@kde.org

2006-03-01 08:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp:
	  Digikam 0.9.0 from trunk : OilPaint tool :
	  
	  - Fix dialog settings widgets layout
	  - Fix dialog buttons : no need Load/Save button here.

2006-03-01 08:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update

2006-02-28 22:38  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/oilpaint/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.h:
	  digikam from trunk:
	  Port "Oil paint" plugin to DImg

2006-02-28 07:54  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: update order
	  plugins list ordered by difficulty.
	  CCMAIL: digikam-devel@kde.org

2006-02-28 07:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/border/Makefile.am,
	  trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.h:
	  digikam from trunk : add border image editor tool :
	  
	  - removing old DigikamImagePlugins dialog depency.
	  - Restoring DigikamImagePlugins banner.
	  - Add (c) to Marcel (:=)))...
	  
	  CCMAIL: digikam-devel@kde.org

2006-02-27 22:37  mwiesweg

	* trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h:
	  digikam from trunk:
	  Port "Add border" image plugin to DImg
	  
	  TODO: wish 118535/122693
	  CCMAIL: digikam-devel@kde.org

2006-02-26 16:54  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO: fix

2006-02-26 16:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO:
	  DigikamImagePlugins from trunk : update TODO list updated for
	  0.9.0 release... Marcel, take a look again...
	  
	  CCMAIL: digikam-devel@kde.org

2006-02-25 22:11  ach

	* trunk/extragear/graphics/digikamimageplugins/TODO:
	  digikamimageplugins: TODO add missing newline at the end

2006-02-25 08:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/TODO:
	  DigikamImagePlugins from trunk : TODO list updated for 0.9.0
	  release
	  
	  Marcel, take a look and give me your viewpoint.
	  
	  CCMAIL: digikam-devel@kde.org

2006-02-22 18:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp:
	  fix dialog layout

2006-02-22 15:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h:
	  fix dialog layout

2006-02-20 20:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.h:
	  fix dialog layout

2006-02-20 20:29  cgilles

	* trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.h:
	  fix dialog layout

2006-02-20 20:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h:
	  fix dialog layout

2006-02-18 10:34  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageplugin_antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageplugin_antivignetting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageplugin_blowup.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageplugin_blowup.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageeffect_blurfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/imageplugin_blurfx.h,
	  trunk/extragear/graphics/digikamimageplugins/border/border.cpp,
	  trunk/extragear/graphics/digikamimageplugins/border/border.h,
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageeffect_border.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/imageplugin_border.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/charcoal.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageeffect_charcoal.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/imageplugin_charcoal.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/bannerwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/bannerwidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/distortionfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageeffect_distortionfx.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/imageplugin_distortionfx.h,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.cpp,
	  trunk/extragear/graphics/digikamimageplugins/emboss/emboss.h,
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageeffect_emboss.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/imageplugin_emboss.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageeffect_filmgrain.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/imageplugin_filmgrain.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageeffect_infrared.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/imageplugin_infrared.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageplugin_inpainting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageplugin_inpainting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/inserttextwidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageeffect_lensdistortion.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/imageplugin_lensdistortion.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/lensdistortion.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/pixelaccess.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageeffect_despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/imageplugin_despeckle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageeffect_oilpaint.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/imageplugin_oilpaint.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/oilpaint.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/perspectivewidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageplugin_raindrop.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/raindrop.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/matrix.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/matrix.h,
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.h,
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageplugin_restoration.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageplugin_restoration.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/superimposewidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageeffect_texture.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/imageplugin_texture.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.cpp,
	  trunk/extragear/graphics/digikamimageplugins/texture/texture.h,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageeffect_unsharp.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/imageplugin_unsharp.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.cpp,
	  trunk/extragear/graphics/digikamimageplugins/unsharp/unsharp.h,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.h:
	  digikam from trunk : fix caulier gilles e-mail ( free.fr ==>
	  kdemail dot net )

2006-02-17 12:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.cpp:
	  add progress bar

2006-02-17 12:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  add progress bar

2006-02-17 11:58  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp:
	  fix progress bar

2006-02-17 11:58  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/refocus.cpp:
	  fix indent

2006-02-09 01:24  ach

	* trunk/extragear/graphics/digikamimageplugins/AUTHORS:
	  digikamimageplugins trunk: forward port
	  
	  r507317 digikamimageplugins: add icon artist to AUTHORS

2006-02-07 17:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/AUTHORS: fix email

2006-02-06 21:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/bannerwidget.cpp:
	  fix logo

2006-02-06 21:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/pics/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/pics/digikamimageplugins_banner_right.png:
	  remove old logo

2006-02-05 22:23  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp:
	  digikam from trunk : Antivignetting IE plugin using new color
	  preview widget

2006-02-05 17:48  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/digikamimageplugin_blowup_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/digikamimageplugin_freerotation_ui.rc,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/TODO,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/digikamimageplugin_perspective_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/digikamimageplugin_solarize_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/digikamimageplugin_superimpose_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/digikamimageplugin_texture_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/digikamimageplugin_unsharp_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc:
	  digiKam from trunk : when something is changed in .rc, always
	  increased version number
	  
	  CCMAIL : gerhard@kulzer.net

2006-02-05 13:56  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/digikamimageplugin_blowup_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/digikamimageplugin_freerotation_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/digikamimageplugin_perspective_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/digikamimageplugin_solarize_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/digikamimageplugin_superimpose_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/digikamimageplugin_texture_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/digikamimageplugin_unsharp_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc:
	  ActionProperties extended to include keyboard shorcupts.
	  CCMAIL:caulier.gilles@free.fr

2006-02-05 11:34  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc:
	  ActionProperties extended to include keyboard shortcuts.

2006-02-04 20:42  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from trunk : Bug fix : if none pickup color tools are
	  toggle, do not rendering image preview when the color guide is
	  used
	  ?CCMAIL: digikam-devel@kde.org

2006-02-04 16:53  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageplugin_solarize.cpp:
	  Digikam 0.9.0 from trunk : Solarize image editor plugin using
	  new color compare widget.
	  
	  CCMAIL : digikam-devel@kde.org

2006-02-04 16:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am:
	  polish

2006-02-04 16:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/Makefile.am:
	  polish

2006-02-04 16:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/Makefile.am:
	  polish

2006-02-04 16:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.h:
	  polish

2006-02-03 10:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp:
	  Channel Mixer : bugfix : set properly red channel to histogram
	  when Reset button is used

2006-02-03 10:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  DigikamImagePlugins from trunk : and finally, toogle preview
	  mode to display original image automaticly when a pickup color
	  button is used with any color correction tools. The preview mode
	  is restored to previous mode when user has get the color from
	  image.
	  
	  CCMAIL: digikam-devel@kde.org

2006-02-03 08:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  DigikamImagePlugins from trunk : Fix color correction tools
	  dialog constructor init
	  
	  CCMAIL: fj.cruz@supercable.es

2006-02-03 07:16  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.h:
	  remove obsolete widget

2006-02-02 22:57  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  Digikam 0.9.0 from trunk : White Balance image editor plugin
	  using new color compare widget.
	  
	  CCMAIL : digikam-devel@kde.org

2006-02-02 22:56  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.h:
	  Remove obsolete dialog

2006-02-02 22:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp:
	  fix slots

2006-02-02 22:19  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h:
	  Digikam 0.9.0 from trunk : Channel Mixer image editor plugin
	  using new color compare widget.
	  
	  CCMAIL : digikam-devel@kde.org

2006-02-02 22:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  Digikam 0.9.0 from trunk : Adjust levels IE plugins using new
	  color compare widget.
	  
	  CCMAIL : digikam-devel@kde.org

2006-02-02 21:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  fix i18n

2006-02-02 20:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  digikam from trunk : Curves Adjust image editor plugin using
	  new color compare widget
	  ?CCMAIL: digikam-devel@kde.org

2006-02-02 15:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.cpp:
	  compile

2006-01-30 13:03  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h:
	  digikam from trunk : imagewidget is now obsolete. we using
	  imageguidewidget instead.

2006-01-25 07:05  cgilles

	* trunk/extragear/graphics/digikam/libs/dialogs/ctrlpaneldlg.cpp,
	  trunk/extragear/graphics/digikam/libs/dialogs/imageguidedlg.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp:
	  digikam from trunk : do not render preview effect if final
	  rendering is already in progress in image.
	  CCBUG: 120736

2006-01-21 09:35  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.cpp:
	  using default "try" button

2006-01-20 19:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp:
	  digikam from trunk : antivignetting plugins : fiw broken layout
	  dialog and make mask preview at the same image size.

2006-01-20 14:27  cgilles

	* trunk/extragear/graphics/digikamimageplugins/antivignetting/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageplugin_antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageplugin_antivignetting.h:
	  digikam from trunk : porting Antivignetting Tool image plugin
	  to DImg. It support 16 bits image now !
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-20 14:19  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  add bcgmodifier

2006-01-20 13:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp:
	  fix memory leak

2006-01-20 13:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  fix memory leak

2006-01-19 19:40  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  digikam from trunk : new method ImageDlgBase::finalRendering()
	  to use instead slotOk() to prevent any race condition during
	  dialog size saving.

2006-01-19 13:44  cgilles

	* trunk/extragear/graphics/digikamimageplugins/sheartool/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/imageplugin_sheartool.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/sheartool.h:
	  digikam from trunk : porting Shear Tool image plugin to DImg.
	  It support 16 bits image now !
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-19 13:31  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  fix i18n

2006-01-19 12:51  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h:
	  polish

2006-01-19 12:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp:
	  polish

2006-01-19 11:56  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  Fix memory leak. Thanks mr valgrind

2006-01-19 11:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/freerotation/Makefile.am:
	  Fix linking

2006-01-19 11:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/freerotation.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageplugin_freerotation.h:
	  digikam from trunk : porting Free Rotation image plugin to
	  DImg. It support 16 bits image now !
	  
	  CCMAIL: digikam-devel@kde.org

2006-01-17 12:54  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi128-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi16-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi22-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi32-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi48-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hi64-action-adjustcurves.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/hisc-action-adjustcurves.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi128-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi16-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi22-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi32-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi48-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hi64-action-adjustlevels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/hisc-action-adjustlevels.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi128-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi16-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi22-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi32-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi48-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hi64-action-antivignetting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/hisc-action-antivignetting.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi128-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi16-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi22-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi32-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi48-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hi64-action-blowup.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/hisc-action-blowup.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi128-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi16-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi22-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi32-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi48-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hi64-action-blurfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/blurfx/hisc-action-blurfx.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi128-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi16-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi22-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi32-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi48-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hi64-action-bordertool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/border/hisc-action-bordertool.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi128-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi16-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi22-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi32-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi48-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hi64-action-channelmixer.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/hisc-action-channelmixer.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi128-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi16-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi22-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi32-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi48-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/charcoal/hi64-action-charcoaltool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi128-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi16-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi22-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi32-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi48-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hi64-action-distortionfx.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/distortionfx/hisc-action-distortionfx.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi128-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi16-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi22-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi32-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi48-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/emboss/hi64-action-embosstool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi128-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi16-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi22-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi32-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi48-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hi64-action-filmgrain.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/hisc-action-filmgrain.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi128-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi16-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi22-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi32-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi48-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hi64-action-freerotation.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/hisc-action-freerotation.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi128-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi16-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi22-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi32-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi48-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hi64-action-hotpixels.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hisc-action-hotpixels.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi128-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi16-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi22-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi32-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi48-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/hi64-action-infrared.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi128-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi16-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi22-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi32-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi48-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hi64-action-inpainting.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/hisc-action-inpainting.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi128-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi16-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi22-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi32-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi48-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hi64-action-inserttext.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/hisc-action-inserttext.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi128-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi16-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi22-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi32-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi48-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/lensdistortion/hi64-action-lensdistortion.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi128-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi16-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi22-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi32-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi48-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hi64-action-despeckle.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/noisereduction/hisc-action-despeckle.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi128-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi16-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi22-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi32-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi48-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/oilpaint/hi64-action-oilpaint.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi128-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi16-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi22-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi32-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi48-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hi64-action-perspective.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/hisc-action-perspective.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi128-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi16-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi22-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi32-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi48-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/hi64-action-raindrop.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi128-action-refocus.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi16-action-refocus.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi22-action-refocus.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi48-action-refocus.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/hi64-action-refocus.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi128-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi16-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi22-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi32-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi48-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hi64-action-restoration.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/hisc-action-restoration.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi128-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi16-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi22-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi32-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi48-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hi64-action-shear.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/sheartool/hisc-action-shear.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi128-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi16-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi22-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi32-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi48-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/hi64-action-solarizetool.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi128-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi16-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi22-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi32-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi48-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hi64-action-superimpose.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/hisc-action-superimpose.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi128-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi16-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi22-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi32-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi48-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hi64-action-texture.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/texture/hisc-action-texture.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi128-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi16-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi22-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi32-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi48-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hi64-action-unsharpedmask.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/unsharp/hisc-action-unsharpedmask.svgz,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi128-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi16-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi22-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi32-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi48-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hi64-action-whitebalance.png,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/hisc-action-whitebalance.svgz:
	  digikam from trunk : digikamimage plugins : backport new Tung
	  icons from stable branch.
	  
	  Achim, Tung : all icons are now backported. I hope to have
	  unforget something (data or code to change)
	  
	  There are any files to move in stable to make it like trunk,
	  like any new folders to create to separate icons and pics.
	  Achim, you will do it after 0.8.1 release ?
	  
	  CCMAIL: ach@mpe.mpg.de, ntung@free.fr

2006-01-17 11:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.h:
	  digikam from trunk : using internal private class to improve
	  binary compatibility and reduce time compilation

2006-01-17 11:21  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  digikam from trunk : using dimgimagefilters class instead
	  imagefilters

2006-01-16 11:41  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  digikam from trunk : fix broken dialog layout if button i18n is
	  large

2006-01-16 11:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  digikam from trunk : fix i18n

2006-01-16 11:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  digikam from trunk : fix broken dialog layout if button i18n is
	  large

2006-01-12 16:15  coolo

	* trunk/extragear/graphics/digikamimageplugins/blurfx/blurfx.cpp:
	  the operation is undefined

2006-01-05 09:28  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  fix i18n

2006-01-04 08:57  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_hsl.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_hsl.h,
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_iccproof.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imageiface.cpp,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imageiface.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.h:
	  Digikam from trunk : Image GuideWidget and Histogram widget
	  color level indicator interraction Bug fix : we can select
	  properly the source image point to display color level on
	  histogram :
	  - Full Original image
	  - Preview Image
	  - Target Preview Image (changed by plugins !)
	  
	  The old implementation always displayed original image color
	  point informations and this way cannot be used to check
	  over/under-exposure area on target image !!!
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-19 19:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/Makefile.am:
	  Fix

2005-12-19 09:09  cgilles

	* trunk/extragear/graphics/digikam/libs/dialogs/imagedlgbase.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  Digikam from trunk : Fix slider settings rules because color
	  correction algorithm can take a while with 16 bits images. The
	  values changed by sliders will be delayed by 500 ms using QTimer.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-19 08:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  Fix banner rules

2005-12-18 00:45  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bcg.h,
	  trunk/extragear/graphics/digikam/libs/dialogs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dialogs/imagedlgbase.cpp,
	  trunk/extragear/graphics/digikam/libs/dialogs/imagedlgbase.h,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagetabdialog.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/widgets/imagetabwidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageplugin_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageeffect_perspective.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/perspective/imageplugin_perspective.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageplugin_superimpose.cpp:
	  Digikam 0.9.0 from trunk : backport another one common dialog
	  from DigikamImagePlugins using 'Power Retouche' style layout.
	  'BCG Adjust' image plugin now use this dialog. It's look like
	  more proffessional touch.
	  
	  I need to polish histogram rules here. Coming soon
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-16 15:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  Digikam from trunk : Adjust Levels tool : Displaying image
	  target histogram to check exposure like Adjust Curves tool.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-16 15:44  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  polish

2005-12-16 12:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  Digikam from trunk : Adjust Curves plugin : Fix layout to
	  display dialog properly with low resolution screen
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-16 09:27  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  Digikam from trunk : Adjust Curves tool : optimize layout. Move
	  target image histogram to the top. Removing horizontal gradiant
	  relevant.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-15 22:04  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  digiKam from trunk : Adjust Curves tool : add histogram of
	  target image to see if exposure is set properly. This will
	  give a more professional touch...
	  
	  TODO : optimize dialog layout for low screen size. Move 'over
	  exposure indicator' checkbox to a 2 states push button.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-15 21:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h:
	  polish

2005-12-14 11:20  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h:
	  Digikam from trunk : fix memory leak : KAboutData isn't cleaned
	  automaticly by KDE lib.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-14 10:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h:
	  Digikam from trunk : fix memory leak : KAboutData isn't cleaned
	  automaticly by KDE lib.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-14 10:28  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/threadedfilterdialog.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/threadedfilterdialog.h:
	  removed unused implementation

2005-12-14 09:47  cgilles

	* trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageeffect_restoration.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/restoration/imageplugin_restoration.cpp:
	  Digikam from trunk : and 3 another digiKam plugins witch
	  support 16 bits images : Restoration, Inpainting, Blowup
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-13 14:22  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/Makefile.am,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageplugin_refocus.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.cpp,
	  trunk/extragear/graphics/digikamimageplugins/refocus/refocus.h:
	  Digikam from trunk : and another digiKam plugin witch support 16
	  bits images : Refocus !!!
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-13 09:07  cgilles

	* trunk/extragear/graphics/digikam/digikam/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dialogs,
	  trunk/extragear/graphics/digikam/libs/dialogs/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/dialogs/ctrlpaneldlg.cpp,
	  trunk/extragear/graphics/digikam/libs/dialogs/ctrlpaneldlg.h,
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  backport new common dialog for image plugins from
	  DigikamImagePlugins. Will be used in core plugin.

2005-12-13 06:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/configure.in.in: fix

2005-12-12 21:14  cgilles

	* trunk/extragear/graphics/digikamimageplugins/refocus/matrix.cpp:
	  prepare to 16 bits

2005-12-12 21:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  add dimg threaded filter rules

2005-12-12 21:13  cgilles

	* trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  add dimg threaded filter rules

2005-12-12 12:24  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.h,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_blur.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bwsepia.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_bwsepia.h,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_hsl.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageplugin_core.cpp,
	  trunk/extragear/graphics/digikam/libs/dimg/dimg.cpp,
	  trunk/extragear/graphics/digikam/libs/dimg/filters/dimgimagefilters.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/dimg/filters/dimgthreadedfilter.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imagepaniconwidget.h,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageregionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  trunk/extragear/graphics/digikam/showfoto/showfoto.cpp,
	  trunk/extragear/graphics/digikam/utilities/imageeditor/canvas/dimginterface.cpp,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/canvas/dimginterface.h,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imageiface.cpp,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imageiface.h,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imagewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imagewidget.h,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imagewindow.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  fix indeep memory leak. Thanks Mr valgrind

2005-12-09 23:56  mhunter

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  Typographical corrections and changes

2005-12-06 12:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  fix picker color tool

2005-12-06 12:08  cgilles

	* trunk/extragear/graphics/digikam/libs/curves/imagecurves.cpp,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.h,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.cpp,
	  trunk/extragear/graphics/digikam/libs/widgets/curveswidget.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  digikam from trunk : New image plugin tool supporting 16 bits
	  images : Adjust Curves
	  CCMAIL: digikam-devel@kde.org

2005-12-06 01:32  mhunter

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp:
	  Typographical corrections and changes

2005-12-05 15:53  cgilles

	* trunk/extragear/graphics/digikam/libs/curves/imagecurves.cpp,
	  trunk/extragear/graphics/digikam/libs/curves/imagecurves.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/imageplugin_adjustcurves.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/filmgrain/filmgrain.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from trunk : Curves core API support 16 bits image.
	  Curves Image plugin not yet ported (8 bits only).
	  CCMAIL: digikam-devel@kde.org

2005-12-05 15:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  fix compile

2005-12-05 15:42  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  fix compile

2005-12-05 10:39  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp:
	  memory optimizations

2005-12-05 10:30  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/imageplugin_channelmixer.cpp:
	  memory optimizations

2005-12-05 10:25  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  memory optimizations

2005-12-04 16:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  compile

2005-12-04 16:45  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageplugin_whitebalance.cpp:
	  Digikam 0.9.0 from trunk : 'White Balance' image plugin now
	  support 16 bits image!
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-02 11:08  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_bwsepia.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from trunk : New image plugin tool supporting 16 bits
	  images : Color Channels Mixer
	  CCMAIL: digikam-devel@kde.org

2005-12-02 09:18  cgilles

	* trunk/extragear/graphics/digikam/libs/dimg/dcolor.cpp,
	  trunk/extragear/graphics/digikam/libs/dimg/dcolor.h,
	  trunk/extragear/graphics/digikam/libs/filters/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/levels/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/levels/imagelevels.cpp,
	  trunk/extragear/graphics/digikam/libs/levels/imagelevels.h,
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/histogramwidget.h,
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageguidewidget.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/imageplugin_adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h:
	  digikam from trunk : New image plugin tool supporting 16 bits
	  images : Adjust Color Levels
	  CCMAIL: digikam-devel@kde.org

2005-12-01 12:49  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.cpp,
	  
	  trunk/extragear/graphics/digikam/imageplugins/imageeffect_autocorrection.h,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.cpp,
	  trunk/extragear/graphics/digikam/libs/filters/imagefilters.h,
	  trunk/extragear/graphics/digikam/libs/levels/imagelevels.cpp,
	  trunk/extragear/graphics/digikam/libs/levels/imagelevels.h,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/antivignetting/antivignetting.cpp:
	  digikam from trunk : New image plugin supporting 16 bits images
	  : auto color corrections : equalize, normalize, auto-levels, and
	  strech-constrast.
	  CCMAIL: digikam-devel@kde.org

2005-11-26 16:08  toma

	* trunk/extragear/graphics/digikam/PACKAGING,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
	  SVN_SILENT correct failures

2005-11-25 14:33  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp:
	  Fix

2005-11-25 14:30  cgilles

	* trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp:
	  polish code

2005-11-25 14:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/digikamheaders.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in,
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/solarize/imageplugin_solarize.h:
	  digiKam 0.9.0 from trunk : Solarize tool now support DImg and
	  16 bits image!
	  CCMAIL: digikam-devel@kde.org

2005-11-25 10:49  cgilles

	* trunk/extragear/graphics/digikam/imageplugins/imageeffect_ratiocrop.cpp,
	  trunk/extragear/graphics/digikam/libs/dimg/dimg.cpp,
	  trunk/extragear/graphics/digikam/libs/dimg/dimg.h,
	  trunk/extragear/graphics/digikam/libs/widgets/Makefile.am,
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.cpp,
	  
	  trunk/extragear/graphics/digikam/libs/widgets/imageselectionwidget.h,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/Makefile.am,
	  
	  trunk/extragear/graphics/digikam/utilities/imageeditor/editor/imageiface.h,
	  trunk/extragear/graphics/digikamimageplugins/configure.in.in:
	  digiKam 0.9.0 from trunk : Aspect Ratio crop tool now support
	  DImg and 16 bits image!
	  CCMAIL: digikam-devel@kde.org

2005-11-24 14:46  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	  fix release ID

v0.8.2 - 10/07/06
----------------------------------------------------------------------------
2006-06-28 20:52  ach

	* branches/stable/extragear/graphics/digikamimageplugins/common/cimgiface/cimgiface.cpp:
	  digikam stable: backport r555371 by Stephan Binner: don't use
	  local variable before it's set correcting to apparently intended
	  code

2006-06-03 13:50  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  digikam from stable : White Balance image editor plugin : Fixed
	  Gamma correction slider values inversed.

2006-05-21 14:42  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.h:
	  recursive include

2006-03-13 10:34  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	  fix whatsthis

2006-03-05 16:46  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/infrared/infrared.cpp:
	  digikam from stable : Infrared fix unecessary bluring effects

2006-02-09 01:20  ach

	* branches/stable/extragear/graphics/digikamimageplugins/AUTHORS:
	  digikamimageplugins: add icon artist to AUTHORS

v0.8.1 - 11/02/06
----------------------------------------------------------------------------
2006-02-05 17:50  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/digikamimageplugin_adjustcurves_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/digikamimageplugin_adjustlevels_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/digikamimageplugin_antivignetting_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/digikamimageplugin_blowup_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/digikamimageplugin_blurfx_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/digikamimageplugin_border_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/digikamimageplugin_channelmixer_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/digikamimageplugin_charcoal_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/digikamimageplugin_distortionfx_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/digikamimageplugin_emboss_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/digikamimageplugin_filmgrain_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/digikamimageplugin_freerotation_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/digikamimageplugin_hotpixels_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/digikamimageplugin_infrared_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/digikamimageplugin_inpainting_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/digikamimageplugin_inserttext_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/digikamimageplugin_lensdistortion_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/digikamimageplugin_despeckle_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/digikamimageplugin_oilpaint_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/digikamimageplugin_perspective_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/digikamimageplugin_raindrop_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/digikamimageplugin_refocus_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/digikamimageplugin_restoration_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/digikamimageplugin_sheartool_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/digikamimageplugin_superimpose_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/digikamimageplugin_texture_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/digikamimageplugin_unsharp_ui.rc,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/digikamimageplugin_whitebalance_ui.rc:
	   digiKam from stable : backport .rc files patch from Gerhard
	  
	  CCMAIL : gerhard@kulzer.net

2006-02-03 10:29  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp:
	   Channel Mixer : bugfix : set properly red channel to histogram 
	  when Reset button is used

2006-01-25 07:06  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp:
	   digikam from stable : do not render preview effect if final 
	  rendering is already in progress in image.
	  CCBUG: 120736

2006-01-15 14:34  ach

	* branches/stable/extragear/graphics/digikamimageplugins/refocus/hisc-action-refocus.svgz:
	   digikam stable: remove hisc-action-refocus.svgz
	  	does no longer match the used .png files.

2006-01-13 20:12  ach

	* branches/stable/extragear/graphics/digikamimageplugins/refocus/hi128-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi16-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi22-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi32-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi48-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi64-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi128-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi16-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi22-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi32-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi48-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi64-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hisc-action-unsharpedmask.svgz:
	   digikam stable: new refocus and unsharp icons.  Contributed by
	  	Tung NGUYEN.  Thx!

2006-01-11 23:06  ach

	* branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi128-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi16-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi22-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi32-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi48-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hi64-action-adjustcurves.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/hisc-action-adjustcurves.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi128-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi16-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi22-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi32-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi48-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hi64-action-adjustlevels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/hisc-action-adjustlevels.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi128-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi16-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi22-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi32-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi48-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hi64-action-antivignetting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/hisc-action-antivignetting.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi128-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi16-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi22-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi32-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi48-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hi64-action-blowup.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/hisc-action-blowup.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi128-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi16-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi22-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi32-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi48-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hi64-action-blurfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blurfx/hisc-action-blurfx.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi128-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi16-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi22-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi32-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi48-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hi64-action-bordertool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/border/hisc-action-bordertool.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi128-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi16-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi22-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi32-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi48-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hi64-action-channelmixer.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/hisc-action-channelmixer.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi128-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi16-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi22-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi32-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi48-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/charcoal/hi64-action-charcoaltool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi128-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi16-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi22-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi32-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi48-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hi64-action-distortionfx.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/distortionfx/hisc-action-distortionfx.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi128-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi16-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi22-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi32-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi48-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/emboss/hi64-action-embosstool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi128-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi16-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi22-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi32-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi48-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hi64-action-filmgrain.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/filmgrain/hisc-action-filmgrain.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi128-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi16-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi22-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi32-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi48-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hi64-action-freerotation.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/hisc-action-freerotation.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi128-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi16-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi22-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi32-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi48-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hi64-action-hotpixels.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/hisc-action-hotpixels.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi128-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi16-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi22-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi32-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi48-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/infrared/hi64-action-infrared.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi128-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi16-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi22-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi32-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi48-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hi64-action-inpainting.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/hisc-action-inpainting.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi128-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi16-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi22-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi32-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi48-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hi64-action-inserttext.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/hisc-action-inserttext.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi128-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi16-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi22-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi32-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi48-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/lensdistortion/hi64-action-lensdistortion.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi128-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi16-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi22-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi32-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi48-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hi64-action-despeckle.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/noisereduction/hisc-action-despeckle.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi128-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi16-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi22-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi32-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi48-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/oilpaint/hi64-action-oilpaint.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi128-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi16-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi22-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi32-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi48-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hi64-action-perspective.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/perspective/hisc-action-perspective.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi128-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi16-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi22-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi32-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi48-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/hi64-action-raindrop.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi128-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi16-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi22-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi32-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi48-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hi64-action-refocus.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/hisc-action-refocus.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi128-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi16-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi22-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi32-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi48-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hi64-action-restoration.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/restoration/hisc-action-restoration.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi128-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi16-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi22-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi32-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi48-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hi64-action-shear.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/sheartool/hisc-action-shear.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi128-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi16-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi22-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi32-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi48-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/hi64-action-solarizetool.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi128-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi16-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi22-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi32-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi48-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hi64-action-superimpose.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/superimpose/hisc-action-superimpose.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi128-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi16-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi22-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi32-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi48-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hi64-action-texture.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/texture/hisc-action-texture.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi128-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi16-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi22-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi32-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi48-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hi64-action-unsharpedmask.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/unsharp/hisc-action-unsharpedmask.svgz,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi128-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi16-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi22-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi32-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi48-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hi64-action-whitebalance.png,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/hisc-action-whitebalance.svgz:
	   digikamimageplugins stable branch:  Add new iconset contributed
	          by  Tung NGUYEN <ntung@free.fr>. Thanks!

2006-01-11 10:48  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/common/include/version.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
	   fix release number

2005-12-19 09:15  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	   Digikam from stable: fix color gradients color

2005-12-15 19:46  toma

	* branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
	   backport of SVN commit 487278 by mhunter: Typographical 
	  corrections and changes

2005-12-14 11:19  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	   Digikam from stable : fix memory leak : memory allocation are 
	  cleaned to close event only. This must be done too when user 
	  pressing ok or cancel !
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-14 11:05  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/blowup/imageeffect_blowup.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inpainting/imageeffect_inpainting.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/solarize/imageeffect_solarize.h:
	   Digikam from stable : fix memory leak : KAboutData isn't 
	  cleaned automaticly by KDE lib.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-14 10:49  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/imagedialogbase.h,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h:
	   Digikam from stable : fix memory leak : KAboutData isn't 
	  cleaned automaticly by KDE lib.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-14 10:26  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/Makefile.am,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/threadedfilterdialog.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/threadedfilterdialog.h:
	   removed unused implementation

2005-12-14 10:22  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.h:
	   Digikam from stable : fix memory leak : KAboutData isn't 
	  cleaned automaticly by KDE lib.
	  
	  CCMAIL: digikam-devel@kde.org

2005-12-06 22:49  toma

	* branches/stable/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/antivignetting/imageeffect_antivignetting.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/inserttext/imageeffect_inserttext.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/raindrop/imageeffect_raindrop.cpp,
	   
	  branches/stable/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp:
	   backport: (SVN commit 485874 by mhunter: Typographical 
	  corrections and changes)

2005-12-04 17:38  cgilles

	* branches/stable/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	   Fix wrong memory acess (out of range of m_curves array)

2005-11-26 16:09  toma

	* branches/stable/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
	   SVN_SILENT: backport failure

2005-11-22 21:27  toma

	* branches/stable/extragear/graphics/digikam, 
	  branches/stable/extragear/graphics/digikamimageplugins: New 
	  branch from trunk. Will be used for the 0.8.x serie
2005-11-22 18:33  toma

	* trunk/extragear/graphics/digikam/PACKAGING,
	  trunk/extragear/graphics/digikam/release_digikam_docs.rb,
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins_docs.rb:
	  Tarballs seem ok, committing the scripts and adjust the
	  PACKAGING file.

2005-11-21 19:48  toma

	* trunk/extragear/graphics/digikamimageplugins/ChangeLog,
	  trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
	  
	  trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm,
	  
	  trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
	  Prepping final

v0.8.0 - 21/11/05
----------------------------------------------------------------------------

2005-11-14 16:12  cgilles

	* trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.h,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp,
	  trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.h:
	  Prevent Enter keys events between dialog and spinBox CCBUG :
	  116347

2005-11-07 10:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp:
	  Fix inverted Load/Save As settings buttons. CCBUG : 115849

v0.8.0-rc - 03/11/05
----------------------------------------------------------------------------

2005-11-03 14:19  cgilles

    * trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm:
      update

2005-11-03 14:18  cgilles

    * trunk/extragear/graphics/digikamimageplugins/common/include/version.h:
      update

2005-10-31 16:01  cgilles

    * trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.cpp,
      trunk/extragear/graphics/digikamimageplugins/sheartool/imageeffect_sheartool.h:
      save user settings properly
    * trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp,
      trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.h:
      save user settings properly

2005-10-31 16:00  cgilles

    * trunk/extragear/graphics/digikamimageplugins/common/dialogs/ctrlpaneldialog.cpp,
      trunk/extragear/graphics/digikamimageplugins/common/dialogs/imageguidedialog.cpp:
      save user settings properly

2005-10-14 12:19  cgilles

    * trunk/extragear/graphics/digikamimageplugins/freerotation/imageeffect_freerotation.cpp:
      freerotation plugin : no need to have angle < 45 to fix
      photographs

2005-09-22 16:20  toma

    * trunk/extragear/graphics/digikamimageplugins/ChangeLog:
      SVN_SILENT typo

2005-09-22 16:17  toma

    * trunk/extragear/graphics/digikamimageplugins/ChangeLog,
      trunk/extragear/graphics/digikamimageplugins/common/include/version.h,
      trunk/extragear/graphics/digikamimageplugins/digikamimageplugins.lsm,
      trunk/extragear/graphics/digikamimageplugins/release_digikamimageplugins.rb:
      Achim wants a beta2

2005-09-08 07:16  cgilles

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageplugin_hotpixels.h:
	  digiKam HotPixels plugin : missing method to disable menu action
	  from host app.

2005-09-04 19:39  gkulzer

	* trunk/extragear/graphics/digikamimageplugins/refocus/imageeffect_refocus.cpp:
	  Adapt defaults to manual CCMAIL:caulier.gilles@free.fr

2005-09-01 09:44  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp:
	  slot connection before

2005-08-31 12:27  cgilles

	* trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.cpp,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/dirselectwidget.h,
	  trunk/extragear/graphics/digikamimageplugins/superimpose/imageeffect_superimpose.cpp:
	  Bugfix : open properly the last template superimpose folder used.

2005-08-29 14:11  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  Fix enum ref.

2005-08-28 16:31  uga

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp:
	  Avoid the first empty non-existing black frame, and disable
	  adding blackframes. It accepts a single blackframe for now

2005-08-27 15:17  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  Fix settings order : 'Exposure' and 'OverExposure indicator'
	  must be together

2005-08-26 13:54  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  digikam WhiteBalance tool : Polish GUI using new layout in user
	  settings area Gerhard, please can you update handbook
	  screenshots. CCMAIL: Gerhard Kulzer <gerhard@kulzer.net>

2005-08-26 07:43  cgilles

	* trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.h:
	  digikam WhiteBalance tool : Polish GUI. - Using QGroupButton to
	  select histogram scale. - Using QHLoayout to optimize user
	  settings area size. Gerhard, please update handbook screenshots.
	  CCMAIL: Gerhard Kulzer <gerhard@kulzer.net>

2005-08-26 07:36  cgilles

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.h:
	  digikam ChannelMixer tool : Polish GUI. - Using QGroupButton to
	  select histogram scale. - Using QHLoayout to optimize user
	  settings area size. Gerhard, please update handbook screenshots.
	  CCMAIL: Gerhard Kulzer <gerhard@kulzer.net>

2005-08-26 07:24  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.h:
	  digikam CurvesAdjust tool : Polish GUI. - Using QGroupButton to
	  select histogram scale. - Using QHLoayout to optimize user
	  settings area size. Gerhard, please update handbook screenshots.
	  CCMAIL: Gerhard Kulzer <gerhard@kulzer.net>

2005-08-26 06:49  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.h:
	  digikam AdjustLevels tool : Polish GUI. - Using new
	  HistogramWidget. Levels Slider size adjusted. - Using
	  QGroupButton to select histogram scale. - Using QHLoayout to
	  optimize user settings area size. Gerhard, please update
	  handbook screenshots. CCMAIL: Gerhard Kulzer <gerhard@kulzer.net>

2005-08-25 21:02  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  Fix namespace

2005-08-25 20:11  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  Using new color gradient widget

2005-08-24 07:38  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustcurves/adjustcurves.cpp:
	  No need to have a QFrame around CurveWidget since this one have
	  a black frame. This way reduce a little the space using by curve
	  widget.

2005-08-24 07:16  cgilles

	* trunk/extragear/graphics/digikamimageplugins/adjustlevels/adjustlevels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/whitebalance/imageeffect_whitebalance.cpp:
	  No need to have a QFrame around HistogramWidget since this one
	  have a black frame. This way reduce a little the space using by
	  histogram widget.

2005-08-22 15:09  mlaurent

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.h,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.cpp,
	  trunk/extragear/graphics/digikamimageplugins/perspective/triangle.h:
	  Add const

2005-08-22 14:42  mlaurent

	* trunk/extragear/graphics/digikamimageplugins/channelmixer/channelmixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframeparser.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/hotpixelfixer.cpp,
	  trunk/extragear/graphics/digikamimageplugins/hotpixels/imageeffect_hotpixels.cpp,
	  trunk/extragear/graphics/digikamimageplugins/inserttext/fontchooserwidget.cpp:
	  Fix postincremental/listend

2005-08-22 14:17  mlaurent

	* trunk/extragear/graphics/digikamimageplugins/hotpixels/blackframelistview.cpp:
	  

v0.8.0-Beta1 - 19/08/05
----------------------------------------------------------------------------
    * Solarize, Raindrop, Border; FreeRotation, ShearTool, LensDistortion,
      AntiVignetting, UnsharpMask, NoiseReduction, Restoration, Refocus: 
      preview effect area and dialog resizable. 
    * Fix PPC compatibility (big/little endian problem with color image data).
    * Refocus, UnsharpMask, NoiseReduction, OilPaint, Emboss, FilmGrain, 
      Infrared, Charcoal, AntiVignetting, LensDistortion : 
      using separate thread from GUI to compute image filters.
    * CImg interface : fix memory leak and make a threadsafe implementation.    
    * New plugin 'Refocus'.
    
v0.7.3-Beta2 - 25/04/05
----------------------------------------------------------------------------
    * Blowup : fixed restoration mode rendering instead a basic linear 
      pixels computation.
    * Antivignetting : Fixed dialog layout using QTabWidget.
    * Updated all handbooks. Ready for translations.

v0.7.3-Beta1 - 08/02/05
----------------------------------------------------------------------------
    * New plugin 'Blowup Photograph' using CImg library.
    * New plugin 'Photograph Inpainting' using CImg library.
    * New plugin 'Photograph Restoration' using CImg library.
    * 'AdjustCurves' plugin : add option to see over-exposed pixels in 
       preview area.
    * 'AdjustCurves' plugins : add black/gray/white tone picker color tools
    * New plugin 'WhiteBalance'.
    * New plugin 'Texture'.
    * New plugin 'Blur FX'.
    * New plugin 'Distortion FX'.
    * New plugin 'Insert Text'.
    * New plugin 'Infrared Film'.
    * New plugin 'Channel Mixer'.

v0.7.2 - 28/02/05
----------------------------------------------------------------------------
    * Update and fix handbooks for final release.
    * Film Grain : new algorithm inspired of gimpguru.org tutorial.
    * Rain Drops : new algorithm from Pieter. Improved clipping region method.
    * Rain Drops : add 'abort' preview computation.

v0.7.2-Beta1 - 08/02/05
----------------------------------------------------------------------------
    * Removed imlib2 depencies.
    * Ported plugins to new xmlgui framework by Renchi.
    * New plugin 'Add Border'.
    * 'Shear Tool', 'Free Rotation, 'Lens Distortion' plugins use common Image 
      Guide widget.
    * New plugin 'Perspective Adjustment'.
    * New plugin 'SuperImpose Template'.
    * Patch from Renchi Raju which allows digikamimageplugins to be compiled 
      when digikam is also present in the toplevel directory.
    * New plugin 'Shear Tool'.
    * New plugin 'Lens Distortion'.
    * New plugin 'Anti Vignetting'.

v0.7.1 - 01/03/05
----------------------------------------------------------------------------
    * Update and fix handbooks for final release.

v0.7.1-beta1 - 12/17/04
----------------------------------------------------------------------------
    * New plugin 'Adjust Curves'.
    * Moved 'Free Rotation' tool from Image editor core to new ImagePlugin.
    * All plugins: disable filter setup widgets when Ok button is pressed.
    * Fixed 'Reset Values' dialog buttons effect with ImagePreviewWidget instance.
    * Update and fix handbooks by G�an Jartin.

v0.7.0 - 11/08/04
----------------------------------------------------------------------------
    * Update and fix handbooks for final release.
    * Add 'Rain Drops' handbook by Gerhard Kulzer.

v0.7.0-Beta1 - 10/14/04
----------------------------------------------------------------------------
    * Add 'Film Grain', 'Emboss', and 'Solarize Image' handbooks by Gerhard Kulzer.
    * Add 'Adjust Levels', 'Despeckle', and 'Unsharp' handbooks.
    * 'Rain Drop' plugin : add disable filter effect on region pre-selection.
    * New 'Film Grain' plugin.
    * New 'Rain Drop image' plugin using Pieter Voloshyn algorithm. 
    * New 'Emboss' algorithm from Pieter Voloshyn. 
    * New 'OilPaint' algorithm from Pieter Voloshyn. 
    * Add graphical banner with logo.
    * Fixed digiKam headers dependencies.

v0.6.0 - 09/01/04
----------------------------------------------------------------------------
    * Fixed internationalization problem (bad localization files name).
    * Using QSlider/QSpinbox instead KIntNumInput and KDoubleNumInput for 
      Despeckle, Unsharped mask, Charcoal, OilPaint, and Emboss plugins : 
      solving a problem with the preview calculation when the sliders are moved.
    
v0.5.0 - 08/27/04
----------------------------------------------------------------------------
    * Added new 'Unsharped Mask' filter plugin using Gimp 2.0 algorithm.
    * Updated 'Noise Reduction' filter plugin with Gimp 2.0 algorithm.

v0.4.0 - 08/26/04
----------------------------------------------------------------------------
    * Added new 'Charcoal' drawing effect plugin using KDEImageEffect API.
    * Added new 'Emboss' effect plugin using KDEImageEffect API.
    * Added new 'Oil Painting' effect plugin using KDEImageEffect API.
    
v0.3.0 - 08/25/04
----------------------------------------------------------------------------
    * Added new 'Noise Reduction' filter 'Despeckle' plugin using KDEImageEffect API.

v0.2.0 - 08/15/04
----------------------------------------------------------------------------
    * Moved 'Solarize Image' plugin from digiKam core.

v0.1.0 - 08/11/04
----------------------------------------------------------------------------
    * Initial Creation : 'Adjust Levels' plugin.
